Subject: [rfc-i] Hebrew contact information example in RFC 7997

From: Julian Reschke <[email-masked]>
Date: Fri, 20 Jan 2017 08:39:52 +0100

Hi,

the PDF version of RFC 7997 
(<https://www.rfc-editor.org/rfc/rfc7997.pdf>) has this example (when 
copied character-wise into mail):

> Additional contact information:
> רנו י א ן ב
> ו ו א ו וי
> 1 ד ו ד ה למ ך 4
> 6 4 9 5 ת ל א ביב 3
> י שר

The HTML version of the last published draft 
(<https://greenbytes.de/tech/webdav/draft-iab-rfc-nonascii-02.html#n-address-information>) 
has:

> Alternate contact information:
>    רוני אבן
>   וואווי
>   דוד המלך 14
>   תל אביב 64953
>   ישראל

Is this a glitch in the PDF or an intentional change?

Best regards, Julian

PS: it doesn't really matter with respect to what the RFC is about, but 
I'd still like to know...
_______________________________________________
rfc-interest mailing list
[email-masked]
https://www.rfc-editor.org/mailman/listinfo/rfc-interest

---

From: Martin J. Dürst <[email-masked]>
Date: Fri, 20 Jan 2017 17:33:12 +0900

> Is this a glitch in the PDF or an intentional change?

I see the same characters in both documents, in the same visual order. 
In your fragments above, it looks (in my mailer) like some character 
pairs were inverted.

In my viewer (Acrobat Reader on Windows 8.1) at least, the alignment in 
the PDF is bad.

What exactly are you worried about?

Regards,   Martin.

---

From: Julian Reschke <[email-masked]>
Date: Fri, 20 Jan 2017 10:35:58 +0100

> What exactly are you worried about?

Looking at it once again, I agree.

So, to summarize:

- use of RTL scripts is an additional challenge :-)

- the alignment in the PDF is broken (not only because of the use of a 
non-monospace hebrew font)

Best regards, Julian

---

From: Leonard Rosenthol <[email-masked]>
Date: Fri, 20 Jan 2017 14:03:01 +0000

Forgetting about the layout issue:
The software that produced the PDF did not do so correctly.  There are a bunch of errors in the Hebrew in the PDF content including lack of direction specification and improper Unicode mapping for the glyphs.

All of which combined to make it impossible to properly extract the contents, leading to the mess below.

Leonard
PDF Architect · Senior Principal Scientist  |  Adobe Systems Incorporated  |  p. 408.536.2433  |  c. 215.808.4978  |  [email-masked]

On 1/20/17, 4:35 AM, "rfc-interest on behalf of Julian Reschke" <[email-masked] on behalf of [email-masked]> wrote:

    
    So, to summarize:

    
    Best regards, Julian

---

From: Bob Hinden <[email-masked]>
Date: Fri, 20 Jan 2017 09:54:32 -0800

Julian,

> On Jan 20, 2017, at 1:35 AM, Julian Reschke <[email-masked]> wrote:
> 
> - the alignment in the PDF is broken (not only because of the use of a non-monospace hebrew font)
> 

My Hebrew is very rudimentary, but least in my mail program, the html has the country name correct

ישראל

but the pdf does not:

י שר

The pdf on the rfc-editor and tools site, has all of the characters, but the formatting is poor.

Bob

p.s. I forwarded this to someone I know is a Hebrew speaker, hopefully he will respond.

---

From: Dan Romascanu <[email-masked]>
Date: Fri, 20 Jan 2017 11:00:03 -0800

The HTML version is correct. The PDF is broken.

Regards,

Dan

---

From: "Heather Flanagan (RFC Series Editor)" <[email-masked]>
Date: Fri, 20 Jan 2017 14:37:18 -0800

Attempting to get the Hebrew characters in the document correctly was an
interesting challenge, and I know it wasn't 100% correct. It was an
excellent lesson in why non-ASCII characters can be challenging to
people (and their tools) that typically work left to right.

This is going to feed into the discussion of the tools the editors use
for documents in the new format world.

-Heather

On 1/20/17 2:03 PM, Roni Even wrote:
> Hi,
> The PDF version - section 3.2 is OK
> As for 3.9 the alignment is not perfect.  The first problem is that Hebrew is written left to right so typically we align to the left. This will probably look weird in an RFC so I would expect alignment to the right at least. As for the text itself it is OK in the pdf (not the one in the email)
> As for the HTML version - the alignment is better but still the first line with my name is not aligned
> This is how it would look aligned to the left
>
>
> רוני אבן
> וואווי
> דוד המלך 14
> תל אביב 64953
> ישראל
> Roni
>> -----Original Message-----
>> From: Julian Reschke [mailto:[email-masked]]
>> Sent: Friday, January 20, 2017 9:40 AM
>> To: [email-masked]
>> Cc: RSE; Roni Even
>> Subject: Hebrew contact information example in RFC 7997
>>
>> Hi,
>>
>> (<https://www.rfc-editor.org/rfc/rfc7997.pdf>) has this example (when copied
>> character-wise into mail):
>>
>> PS: it doesn't really matter with respect to what the RFC is about, but I'd still like
>> to know...

---

From: Julian Reschke <[email-masked]>
Date: Sat, 21 Jan 2017 08:54:39 +0100

> This is how it would look aligned to the left

Like <https://greenbytes.de/tech/webdav/rfc7997.html#n-address-information>?

Best regards, Julian

---

From: Yoav Nir <[email-masked]>
Date: Sat, 21 Jan 2017 23:16:17 +0200

> On 21 Jan 2017, at 9:54, Julian Reschke <[email-masked]> wrote:
> 

Yes, that one looks excellent.

I still question the value of having this block of Hebrew text in an RFC, but this is probably looks as good as it can get.

Yoav

---

From: "Roni Even" <[email-masked]>
Date: Sat, 21 Jan 2017 00:03:40 +0200

Hi,

רוני אבן
וואווי
דוד המלך 14
תל אביב 64953
ישראל
Roni

---

From: "Roni Even" <[email-masked]>
Date: Sat, 21 Jan 2017 19:13:17 +0200

Hi Julian,
This looks OK
Roni

> Sent: Saturday, January 21, 2017 9:55 AM
> To: Roni Even; [email-masked]
> Cc: 'RSE'
> Subject: Re: Hebrew contact information example in RFC 7997
> 
> > As for 3.9 the alignment is not perfect.  The first problem is that
> > Hebrew is written left to right so typically we align to the left.
> > This will probably look weird in an RFC so I would expect alignment to
> > the right at least. As for the text itself it is OK in the pdf (not
> > the one in the email) As for the HTML version - the alignment is
> > better but still the first line with my name is not aligned This is
> > how it would look aligned to the left
> >
> >
> > רוני אבן
> > וואווי
> > דוד המלך 14
> > תל אביב 64953
> > ישראל
> > Roni
>